Genivia - saml2__SubjectType Struct Reference

|  | Home | Documentation | saml2__SubjectType Struct Reference updated Thu Apr 15 2021 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
saml2__SubjectType Struct Reference

"urn:oasis:names:tc:SAML:2.0:assertion":SubjectType is a complexType. More...

`#include <saml2.h>`

Collaboration diagram for saml2__SubjectType:
[legend]

## Public Attributes
struct saml2__BaseIDAbstractType * | saml2__BaseID
| Element reference "urn:oasis:names:tc:SAML:2.0:assertion:"BaseID. More...
struct saml2__NameIDType * | saml2__NameID
| Element reference "urn:oasis:names:tc:SAML:2.0:assertion:"NameID. More...
struct saml2__EncryptedElementType * | saml2__EncryptedID
| Element reference "urn:oasis:names:tc:SAML:2.0:assertion:"EncryptedID. More...
int | __sizeSubjectConfirmation
| Size of the dynamic array of values of type struct saml2__SubjectConfirmationType* is 0..unbounded. More...
struct saml2__SubjectConfirmationType * | saml2__SubjectConfirmation
| Array struct saml2__SubjectConfirmationType* of size 0..unbounded. More...
int | __sizeSubjectConfirmation_
| Size of the dynamic array of values of type struct saml2__SubjectConfirmationType* is 1..unbounded. More...
struct saml2__SubjectConfirmationType * | saml2__SubjectConfirmation_
| Array struct saml2__SubjectConfirmationType* of size 1..unbounded. More...

## Detailed Description

"urn:oasis:names:tc:SAML:2.0:assertion":SubjectType is a complexType.

Note
  struct saml2__SubjectType operations:
  - saml2__SubjectType* soap_new_saml2__SubjectType(struct soap*, int num) allocate and default initialize one or more values (an array)
  - soap_default_saml2__SubjectType(struct soap*, saml2__SubjectType*) default initialize members
  - int soap_read_saml2__SubjectType(struct soap*, saml2__SubjectType*) deserialize from a source
  - int soap_write_saml2__SubjectType(struct soap*, saml2__SubjectType*) serialize to a sink
  - saml2__SubjectType* soap_dup_saml2__SubjectType(struct soap*, saml2__SubjectType* dst, saml2__SubjectType <em>src) returns deep copy of saml2__SubjectType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
  - soap_del_saml2__SubjectType(saml2__SubjectType) deep deletes saml2__SubjectType data members, use only on dst after soap_dup_saml2__SubjectType(NULL, saml2__SubjectType *dst, saml2__SubjectType *src) (use soapcpp2 -Ed)

## Member Data Documentation

int saml2__SubjectType::__sizeSubjectConfirmation

Size of the dynamic array of values of type struct saml2__SubjectConfirmationType* is 0..unbounded.

int saml2__SubjectType::__sizeSubjectConfirmation_

Size of the dynamic array of values of type struct saml2__SubjectConfirmationType* is 1..unbounded.

struct saml2__BaseIDAbstractType* saml2__SubjectType::saml2__BaseID

Element reference "urn:oasis:names:tc:SAML:2.0:assertion:"BaseID.

Choice of element (one of multiple choices).

struct saml2__EncryptedElementType* saml2__SubjectType::saml2__EncryptedID

Element reference "urn:oasis:names:tc:SAML:2.0:assertion:"EncryptedID.

Choice of element (one of multiple choices).

struct saml2__NameIDType* saml2__SubjectType::saml2__NameID

Element reference "urn:oasis:names:tc:SAML:2.0:assertion:"NameID.

Choice of element (one of multiple choices).

struct saml2__SubjectConfirmationType* saml2__SubjectType::saml2__SubjectConfirmation

Array struct saml2__SubjectConfirmationType* of size 0..unbounded.

Choice of optional element (one of multiple choices).

struct saml2__SubjectConfirmationType* saml2__SubjectType::saml2__SubjectConfirmation_

Array struct saml2__SubjectConfirmationType* of size 1..unbounded.

Choice of element (one of multiple choices).

The documentation for this struct was generated from the following file:

- saml2.h